DROP TABLE IF EXISTS `configuration`;
CREATE TABLE `configuration` (
  `configuration_id` int(11) NOT NULL AUTO_INCREMENT,
  `configuration_key` varchar(64) NOT NULL DEFAULT '',
  `configuration_value` text NOT NULL,
  `configuration_group_id` int(11) NOT NULL DEFAULT '0',
  `sort_order` int(5) DEFAULT NULL,
  `last_modified` datetime DEFAULT NULL,
  `date_added` datetime NOT NULL DEFAULT '1000-01-01 00:00:00',
  `use_function` varchar(255) DEFAULT NULL,
  `set_function` text,
  PRIMARY KEY (`configuration_id`),
  UNIQUE KEY `configuration_key` (`configuration_key`),
  KEY `idx_configuration_group_id` (`configuration_group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_B2B_STATUS', `configuration_value` = 'false', `configuration_group_id` = 5, `sort_order` = 7, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_COMPANY', `configuration_value` = 'true', `configuration_group_id` = 5, `sort_order` = 3, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_COMPANY_VAT_CHECK', `configuration_value` = 'true', `configuration_group_id` = 18, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_COMPANY_VAT_GROUP', `configuration_value` = 'false', `configuration_group_id` = 18, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_COMPANY_VAT_LIVE_CHECK', `configuration_value` = 'true', `configuration_group_id` = 18, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_DEFAULT_B2B_STATUS', `configuration_value` = 'false', `configuration_group_id` = 5, `sort_order` = 8, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_DOB', `configuration_value` = 'false', `configuration_group_id` = 5, `sort_order` = 2, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_FAX', `configuration_value` = 'true', `configuration_group_id` = 5, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_GENDER', `configuration_value` = 'true', `configuration_group_id` = 5, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_OPTIONS', `configuration_value` = 'both', `configuration_group_id` = 5, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''account'', ''guest'', ''both''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_STATE', `configuration_value` = 'false', `configuration_group_id` = 5, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_SUBURB', `configuration_value` = 'false', `configuration_group_id` = 5, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_TELEPHONE', `configuration_value` = 'true', `configuration_group_id` = 5, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACCOUNT_VAT_BLOCK_ERROR', `configuration_value` = 'true', `configuration_group_id` = 18, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACTIVATE_GIFT_SYSTEM', `configuration_value` = 'false', `configuration_group_id` = 17, `sort_order` = 2, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACTIVATE_NAVIGATOR', `configuration_value` = 'false', `configuration_group_id` = 17, `sort_order` = 10, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACTIVATE_PAGE_TOKEN', `configuration_value` = 'true', `configuration_group_id` = 17, `sort_order` = 13, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACTIVATE_REVERSE_CROSS_SELLING', `configuration_value` = 'true', `configuration_group_id` = 17, `sort_order` = 12, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ACTIVATE_SHIPPING_STATUS', `configuration_value` = 'true', `configuration_group_id` = 17, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ADVANCED_SEARCH_DEFAULT_OPERATOR', `configuration_value` = 'and', `configuration_group_id` = 1, `sort_order` = 30, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''and'', ''or''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'AFTERBUY_ACTIVATED', `configuration_value` = 'false', `configuration_group_id` = 21, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'AFTERBUY_ORDERSTATUS', `configuration_value` = '1', `configuration_group_id` = 21, `sort_order` = 5, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'AFTERBUY_PARTNERID', `configuration_value` = '', `configuration_group_id` = 21, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'AFTERBUY_PARTNERPASS', `configuration_value` = '', `configuration_group_id` = 21, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'AFTERBUY_USERID', `configuration_value` = '', `configuration_group_id` = 21, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ALLOW_ADD_TO_CART', `configuration_value` = 'false', `configuration_group_id` = 1, `sort_order` = 39, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'APPEND_PROPERTIES_MODEL', `configuration_value` = 'true', `configuration_group_id` = 1, `sort_order` = 45, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ATTRIBUTE_STOCK_CHECK', `configuration_value` = 'true', `configuration_group_id` = 9, `sort_order` = 2, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CACHE_CHECK', `configuration_value` = 'false', `configuration_group_id` = 11, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CACHE_LIFETIME', `configuration_value` = '3600', `configuration_group_id` = 11, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CC_KEYCHAIN', `configuration_value` = 'tobechanged', `configuration_group_id` = 1, `sort_order` = 44, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CC_NUMBER_MIN_LENGTH', `configuration_value` = '10', `configuration_group_id` = 2, `sort_order` = 13, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CC_OWNER_MIN_LENGTH', `configuration_value` = '3', `configuration_group_id` = 2, `sort_order` = 12, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CHECK_CLIENT_AGENT', `configuration_value` = 'true', `configuration_group_id` = 15, `sort_order` = 8, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'COMPANY_NAME', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 3, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'COMPRESS_EXPORT', `configuration_value` = 'false', `configuration_group_id` = 20, `sort_order` = 3, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONFIG_CALCULATE_IMAGE_SIZE', `configuration_value` = 'true', `configuration_group_id` = 4, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONTACT_US_EMAIL_ADDRESS', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 20, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONTACT_US_EMAIL_SUBJECT', `configuration_value` = 'Kontakt', `configuration_group_id` = 12, `sort_order` = 24, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONTACT_US_FORWARDING_STRING', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 25, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONTACT_US_NAME', `configuration_value` = 'Ihr Name', `configuration_group_id` = 12, `sort_order` = 21, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONTACT_US_REPLY_ADDRESS', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 22, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CONTACT_US_REPLY_ADDRESS_NAME', `configuration_value` = 'Ihr Name', `configuration_group_id` = 12, `sort_order` = 23, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CSV_SEPERATOR', `configuration_value` = '|', `configuration_group_id` = 20, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CSV_TEXTSIGN', `configuration_value` = '', `configuration_group_id` = 20, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'CURRENT_TEMPLATE', `configuration_value` = 'Honeygrid', `configuration_group_id` = 1, `sort_order` = 41, `use_function` = NULL, `set_function` = 'xtc_cfg_pull_down_template_sets(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DATE_TIMEZONE', `configuration_value` = 'Europe/Berlin', `configuration_group_id` = 1, `sort_order` = 47, `use_function` = '', `set_function` = 'cfg_pull_down_timezones(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DB_CACHE', `configuration_value` = 'false', `configuration_group_id` = 11, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DB_CACHE_EXPIRE', `configuration_value` = '3600', `configuration_group_id` = 11, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_CURRENCY', `configuration_value` = 'EUR', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_CUSTOMERS_STATUS_ID', `configuration_value` = '2', `configuration_group_id` = 1, `sort_order` = 38, `use_function` = 'xtc_get_customers_status_name', `set_function` = 'xtc_cfg_pull_down_default_customers_status_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_CUSTOMERS_STATUS_ID_ADMIN', `configuration_value` = '0', `configuration_group_id` = 1, `sort_order` = 35, `use_function` = 'xtc_get_customers_status_name', `set_function` = 'xtc_cfg_pull_down_customers_status_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_CUSTOMERS_STATUS_ID_GUEST', `configuration_value` = '1', `configuration_group_id` = 1, `sort_order` = 36, `use_function` = 'xtc_get_customers_status_name', `set_function` = 'xtc_cfg_pull_down_customers_status_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_CUSTOMERS_VAT_STATUS_ID', `configuration_value` = '3', `configuration_group_id` = 18, `sort_order` = 23, `use_function` = 'xtc_get_customers_status_name', `set_function` = 'xtc_cfg_pull_down_default_customers_status_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_CUSTOMERS_VAT_STATUS_ID_LOCAL', `configuration_value` = '3', `configuration_group_id` = 18, `sort_order` = 24, `use_function` = 'xtc_get_customers_status_name', `set_function` = 'xtc_cfg_pull_down_default_customers_status_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_LANGUAGE', `configuration_value` = 'de', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_ORDERS_STATUS_ID', `configuration_value` = '1', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_PRODUCTS_VPE_ID', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DEFAULT_SHIPPING_STATUS_ID', `configuration_value` = '1', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DELETE_GUEST_ACCOUNT', `configuration_value` = 'true', `configuration_group_id` = 5, `sort_order` = 7, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DIR_FS_CACHE', `configuration_value` = 'cache', `configuration_group_id` = 11, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DISPLAY_CART', `configuration_value` = 'true', `configuration_group_id` = 1, `sort_order` = 28, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DISPLAY_PAGE_PARSE_TIME', `configuration_value` = 'false', `configuration_group_id` = 10, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DOWNLOAD_BY_REDIRECT', `configuration_value` = 'false', `configuration_group_id` = 13, `sort_order` = 2, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DOWNLOAD_ENABLED', `configuration_value` = 'true', `configuration_group_id` = 13, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DOWNLOAD_MIN_ORDERS_STATUS', `configuration_value` = '3', `configuration_group_id` = 13, `sort_order` = 5, `use_function` = NULL, `set_function` = 'cfg_download_order_status_checkboxes(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DOWNLOAD_STOCK_CHECK', `configuration_value` = 'true', `configuration_group_id` = 9, `sort_order` = 3, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'DOWNLOAD_UNALLOWED_PAYMENT', `configuration_value` = 'banktransfer,cod,invoice,moneyorder', `configuration_group_id` = 13, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_ADDRESS', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 32, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_FORWARDING_STRING', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 37, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_NAME', `configuration_value` = 'Ihr Name', `configuration_group_id` = 12, `sort_order` = 33, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_REPLY_ADDRESS', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 34, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_REPLY_ADDRESS_NAME', `configuration_value` = 'Ihr Name', `configuration_group_id` = 12, `sort_order` = 35, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_SUBJECT', `configuration_value` = 'Verrechnung', `configuration_group_id` = 12, `sort_order` = 36, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_BILLING_SUBJECT_ORDER', `configuration_value` = 'Ihre Bestellung {$nr}, am {$date}', `configuration_group_id` = 12, `sort_order` = 38, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_FROM', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 15, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_LINEFEED', `configuration_value` = 'LF', `configuration_group_id` = 12, `sort_order` = 10, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''LF'', ''CRLF''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SIGNATURE', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 16, `use_function` = NULL, `set_function` = 'xtc_cfg_textarea(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SUPPORT_ADDRESS', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 26, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SUPPORT_FORWARDING_STRING', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 31, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SUPPORT_NAME', `configuration_value` = 'Ihr Name', `configuration_group_id` = 12, `sort_order` = 27, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SUPPORT_REPLY_ADDRESS', `configuration_value` = '', `configuration_group_id` = 12, `sort_order` = 28, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SUPPORT_REPLY_ADDRESS_NAME', `configuration_value` = 'Ihr Name', `configuration_group_id` = 12, `sort_order` = 29, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_SUPPORT_SUBJECT', `configuration_value` = 'Technischer Support', `configuration_group_id` = 12, `sort_order` = 30, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_TRANSPORT', `configuration_value` = 'mail', `configuration_group_id` = 12, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''sendmail'', ''smtp'', ''mail''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_USE_HTML', `configuration_value` = 'true', `configuration_group_id` = 12, `sort_order` = 11, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_CITY_MIN_LENGTH', `configuration_value` = '2', `configuration_group_id` = 2, `sort_order` = 8, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_COMPANY_MIN_LENGTH', `configuration_value` = '2', `configuration_group_id` = 2, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_DOB_MIN_LENGTH', `configuration_value` = '10', `configuration_group_id` = 2, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_EMAIL_ADDRESS_CHECK', `configuration_value` = 'false', `configuration_group_id` = 12, `sort_order` = 12, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_EMAIL_ADDRESS_MIN_LENGTH', `configuration_value` = '6', `configuration_group_id` = 2, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_FIRST_NAME_MIN_LENGTH', `configuration_value` = '2', `configuration_group_id` = 2, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_LAST_NAME_MIN_LENGTH', `configuration_value` = '2', `configuration_group_id` = 2, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_PASSWORD_MIN_LENGTH', `configuration_value` = '5', `configuration_group_id` = 2, `sort_order` = 11, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_POSTCODE_MIN_LENGTH', `configuration_value` = '4', `configuration_group_id` = 2, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_STATE_MIN_LENGTH', `configuration_value` = '2', `configuration_group_id` = 2, `sort_order` = 9, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_STREET_ADDRESS_MIN_LENGTH', `configuration_value` = '5', `configuration_group_id` = 2, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ENTRY_TELEPHONE_MIN_LENGTH', `configuration_value` = '0', `configuration_group_id` = 2, `sort_order` = 10, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_EMAIL', `configuration_value` = '', `configuration_group_id` = 10, `sort_order` = 8, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_ALL', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 20, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_COMPILE_ERROR', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 15, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_COMPILE_WARNING', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 16, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_CORE_ERROR', `configuration_value` = 'True', `configuration_group_id` = 10, `sort_order` = 13, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_CORE_WARNING', `configuration_value` = 'True', `configuration_group_id` = 10, `sort_order` = 14, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_DEPRECATED', `configuration_value` = 'True', `configuration_group_id` = 10, `sort_order` = 23, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_ERROR', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 9, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_NOTICE', `configuration_value` = 'True', `configuration_group_id` = 10, `sort_order` = 12, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_PARSE', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 11, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_RECOVERABLE_ERROR', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 22, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_STRICT', `configuration_value` = 'True', `configuration_group_id` = 10, `sort_order` = 21, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_USER_ERROR', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 17, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_USER_NOTICE', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 19, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_USER_WARNING', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 18, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'ERROR_REPORT_HIDE_E_WARNING', `configuration_value` = 'False', `configuration_group_id` = 10, `sort_order` = 10, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EXPECTED_PRODUCTS_FIELD', `configuration_value` = 'date_expected', `configuration_group_id` = 1, `sort_order` = 24, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''products_name'', ''date_expected''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EXPECTED_PRODUCTS_SORT', `configuration_value` = 'asc', `configuration_group_id` = 1, `sort_order` = 23, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''asc'', ''desc''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GAMBIO_SHOP_KEY', `configuration_value` = '', `configuration_group_id` = 753, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GM_SET_OUT_OF_STOCK_ATTRIBUTES', `configuration_value` = 'false', `configuration_group_id` = 9, `sort_order` = NULL, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GM_SET_OUT_OF_STOCK_ATTRIBUTES_SHOW', `configuration_value` = 'false', `configuration_group_id` = 9, `sort_order` = NULL, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GM_SET_OUT_OF_STOCK_PRODUCTS', `configuration_value` = 'false', `configuration_group_id` = 9, `sort_order` = NULL, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GOOGLE_CONVERSION', `configuration_value` = 'false', `configuration_group_id` = 19, `sort_order` = 0, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GOOGLE_CONVERSION_ID', `configuration_value` = '', `configuration_group_id` = 19, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GOOGLE_CONVERSION_LABEL', `configuration_value` = 'Purchase', `configuration_group_id` = 19, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GOOGLE_LANG', `configuration_value` = 'de', `configuration_group_id` = 19, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GROUP_CHECK', `configuration_value` = 'false', `configuration_group_id` = 17, `sort_order` = 9, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GZIP_COMPRESSION', `configuration_value` = 'true', `configuration_group_id` = 14, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'GZIP_LEVEL', `configuration_value` = '9', `configuration_group_id` = 14, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'HTTP_CACHING', `configuration_value` = 'true', `configuration_group_id` = 11, `sort_order` = 7, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'IMAGE_MANIPULATOR', `configuration_value` = 'image_manipulator_GD2.php', `configuration_group_id` = 4, `sort_order` = 3, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''image_manipulator_GD2.php'', ''image_manipulator_GD1.php''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'IMAGE_QUALITY', `configuration_value` = '100', `configuration_group_id` = 4, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'LOGGING_ENABLED', `configuration_value` = 'true', `configuration_group_id` = 10, `sort_order` = 0, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'LOG_SQL_BACKEND', `configuration_value` = 'false', `configuration_group_id` = 10, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'LOG_SQL_FRONTEND', `configuration_value` = 'false', `configuration_group_id` = 10, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_ADDRESS_BOOK_ENTRIES', `configuration_value` = '5', `configuration_group_id` = 3, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_ALSO_PURCHASED', `configuration_value` = '4', `configuration_group_id` = 3, `sort_order` = 16, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_ALSO_PURCHASED_DAYS', `configuration_value` = '100', `configuration_group_id` = 3, `sort_order` = 17, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_BESTSELLERS', `configuration_value` = '5', `configuration_group_id` = 3, `sort_order` = 15, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_CATEGORIES_PER_ROW', `configuration_value` = '2', `configuration_group_id` = 3, `sort_order` = 13, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_MANUFACTURERS_IN_A_LIST', `configuration_value` = '1', `configuration_group_id` = 3, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_MANUFACTURER_NAME_LEN', `configuration_value` = '15', `configuration_group_id` = 3, `sort_order` = 8, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_NEW_PRODUCTS_DAYS', `configuration_value` = '30', `configuration_group_id` = 3, `sort_order` = 22, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_NEW_REVIEWS', `configuration_value` = '6', `configuration_group_id` = 3, `sort_order` = 9, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_ORDER_HISTORY', `configuration_value` = '5', `configuration_group_id` = 3, `sort_order` = 19, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_PAGE_LINKS', `configuration_value` = '4', `configuration_group_id` = 3, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_PRODUCTS_IN_ORDER_HISTORY_BOX', `configuration_value` = '6', `configuration_group_id` = 3, `sort_order` = 18, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_PRODUCTS_NEW', `configuration_value` = '10', `configuration_group_id` = 3, `sort_order` = 14, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_SEARCH_RESULTS', `configuration_value` = '8', `configuration_group_id` = 3, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_SPECIAL_PRODUCTS', `configuration_value` = '8', `configuration_group_id` = 3, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_DISPLAY_UPCOMING_PRODUCTS', `configuration_value` = '0', `configuration_group_id` = 3, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_MANUFACTURERS_LIST', `configuration_value` = '1', `configuration_group_id` = 3, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_PRODUCTS_QTY', `configuration_value` = '1000000', `configuration_group_id` = 3, `sort_order` = 21, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_RANDOM_SELECT_NEW', `configuration_value` = '30', `configuration_group_id` = 3, `sort_order` = 11, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_RANDOM_SELECT_REVIEWS', `configuration_value` = '10', `configuration_group_id` = 3, `sort_order` = 10, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MAX_RANDOM_SELECT_SPECIALS', `configuration_value` = '10', `configuration_group_id` = 3, `sort_order` = 12, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MIN_DISPLAY_ALSO_PURCHASED', `configuration_value` = '1', `configuration_group_id` = 2, `sort_order` = 16, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MIN_DISPLAY_BESTSELLERS', `configuration_value` = '1', `configuration_group_id` = 2, `sort_order` = 15, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_EXCLUDE_CATEGORIES', `configuration_value` = '', `configuration_group_id` = 26, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_EXCLUDE_PRODUCTS', `configuration_value` = '', `configuration_group_id` = 26, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_PASSWORD', `configuration_value` = '', `configuration_group_id` = 26, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_PORT', `configuration_value` = '443', `configuration_group_id` = 26, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_STATUS', `configuration_value` = 'False', `configuration_group_id` = 26, `sort_order` = 7, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_URL', `configuration_value` = '', `configuration_group_id` = 26, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_BRICKFOX_USERNAME', `configuration_value` = '', `configuration_group_id` = 26, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_DELISPRINT_FILE', `configuration_value` = 'delisprint.txt', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_DELISPRINT_STATUS', `configuration_value` = 'True', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_EXPORT_INSTALLED', `configuration_value` = 'magnalister.php', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_GLS_FILE', `configuration_value` = 'gls.txt', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_GLS_STATUS', `configuration_value` = 'True', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_HERMES_FILE', `configuration_value` = 'hermes.txt', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_HERMES_STATUS', `configuration_value` = 'True', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COD_FEE_RULES', `configuration_value` = 'free|AT:3.00,DE:3.58,00:9.99|flat|AT:3.00,DE:3.58,00:9.99|item|AT:3.00,DE:3.58,00:9.99|table|AT:3.00,DE:3.58,00:9.99|zones|CA:4.50,US:3.00,00:9.99|upse|AT:3.00,DE:3.58,00:9.99|chronopost|FR:4.00,00:9.99|dhl|AT:3.00,DE:3.58,00:9.99|ups|AT:3.00,DE:3.58,00:9.99|chp|CH:4.00,00:9.99|dpd|DE:4.00,00:9.99|ap|AT:3.63,00:9.99|zonese|DE:4.00,00:9.99|selfpickup|DE:4.00,00:9.99|gambioultra|DE:4.00,00:9.99|fedexeu|DE:4.00,00:9.99|dp|DE:4.00,00:9.99', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = '', `set_function` = 'cfg_cod_fee_form(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COD_FEE_SORT_ORDER', `configuration_value` = '35', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COD_FEE_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COD_FEE_TAX_CLASS', `configuration_value` = '0', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = 'xtc_get_tax_class_title', `set_function` = 'xtc_cfg_pull_down_tax_classes(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COUPON_CALC_TAX', `configuration_value` = 'Standard', `configuration_group_id` = 6, `sort_order` = 7, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''None'', ''Standard'', ''Credit Note''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COUPON_INC_SHIPPING', `configuration_value` = 'false', `configuration_group_id` = 6, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COUPON_INC_TAX', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COUPON_SORT_ORDER', `configuration_value` = '29', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COUPON_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_COUPON_TAX_CLASS', `configuration_value` = '0', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = 'xtc_get_tax_class_title', `set_function` = 'xtc_cfg_pull_down_tax_classes(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_DISCOUNT_SORT_ORDER', `configuration_value` = '20', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_DISCOUNT_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_FREEAMOUNT_FREE', `configuration_value` = 'AT:3.00,DE:3.58,00:9.99', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_CALC_TAX', `configuration_value` = 'None', `configuration_group_id` = 6, `sort_order` = 7, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''None'', ''Standard'', ''Credit Note''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_CREDIT_TAX', `configuration_value` = 'false', `configuration_group_id` = 6, `sort_order` = 8, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_INC_SHIPPING', `configuration_value` = 'False', `configuration_group_id` = 6, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_INC_TAX', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_QUEUE', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 3, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_SORT_ORDER', `configuration_value` = '80', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_GV_TAX_CLASS', `configuration_value` = '0', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = 'xtc_get_tax_class_title', `set_function` = 'xtc_cfg_pull_down_tax_classes(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_INSTALLED', `configuration_value` = 'ot_subtotal.php;ot_discount.php;ot_coupon.php;ot_shipping.php;ot_cod_fee.php;ot_gv.php;ot_subtotal_no_tax.php;ot_tax.php;ot_total_netto.php;ot_total.php', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SHIPPING_DESTINATION', `configuration_value` = 'national', `configuration_group_id` = 6, `sort_order` = 5, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''national'', ''international'', ''both''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING', `configuration_value` = 'false', `configuration_group_id` = 6, `sort_order` = 3, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER', `configuration_value` = '50', `configuration_group_id` = 6, `sort_order` = 4, `use_function` = 'currencies->format', `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SHIPPING_SORT_ORDER', `configuration_value` = '30', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SHIPPING_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SHIPPING_TAX_CLASS', `configuration_value` = '0', `configuration_group_id` = 6, `sort_order` = 7, `use_function` = 'xtc_get_tax_class_title', `set_function` = 'xtc_cfg_pull_down_tax_classes(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SUBTOTAL_NO_TAX_SORT_ORDER', `configuration_value` = '96', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SUBTOTAL_NO_TAX_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SUBTOTAL_SORT_ORDER', `configuration_value` = '10', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_SUBTOTAL_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_TAX_SORT_ORDER', `configuration_value` = '97', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_TAX_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_TOTAL_NETTO_SORT_ORDER', `configuration_value` = '98', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_TOTAL_NETTO_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_TOTAL_SORT_ORDER', `configuration_value` = '99', `configuration_group_id` = 6, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_ORDER_TOTAL_TOTAL_STATUS', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_PAYMENT_INSTALLED', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_PAYMENT_SEPA_COMPANY', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_PAYMENT_SEPA_CREDITOR_ID', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_PAYMENT_SEPA_POSTCODE_CITY', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_PAYMENT_SEPA_SEND_MANDATE', `configuration_value` = 'true', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_PAYMENT_SEPA_STREET_ADDRESS', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MODULE_SHIPPING_INSTALLED', `configuration_value` = '', `configuration_group_id` = 6, `sort_order` = 0, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'MO_PICS', `configuration_value` = '1000', `configuration_group_id` = 4, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'NEW_SIGNUP_DISCOUNT_COUPON', `configuration_value` = '', `configuration_group_id` = 17, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'NEW_SIGNUP_GIFT_VOUCHER_AMOUNT', `configuration_value` = '', `configuration_group_id` = 17, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_KEY', `configuration_value` = '120,116,99,111,109,109,101,114,99,101,95,83,104,111,112,112,105,110,103,67,97,114,116,95', `configuration_group_id` = 6, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_PWD', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_SANDBOX_PWD', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_SANDBOX_SIGNATURE', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_SANDBOX_USER', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_SIGNATURE', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_API_USER', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_COUNTRY_MODE', `configuration_value` = 'de', `configuration_group_id` = 25, `sort_order` = 16, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''de'', ''uk''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_EXPRESS_ADDRESS_CHANGE', `configuration_value` = 'true', `configuration_group_id` = 25, `sort_order` = 17, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_EXPRESS_ADDRESS_OVERRIDE', `configuration_value` = 'true', `configuration_group_id` = 25, `sort_order` = 18, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_EXPRESS_PAYMENTACTION', `configuration_value` = 'Sale', `configuration_group_id` = 25, `sort_order` = 16, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''Sale'', ''Authorization'', ''Order''), ', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_MODE', `configuration_value` = 'live', `configuration_group_id` = 25, `sort_order` = 1, `use_function` = NULL, `set_function` = 'xtc_cfg_select_option(array(''sandbox'', ''live''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_ORDER_STATUS_PENDING_ID', `configuration_value` = '1', `configuration_group_id` = 25, `sort_order` = 11, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_ORDER_STATUS_REJECTED_ID', `configuration_value` = '1', `configuration_group_id` = 25, `sort_order` = 12, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_ORDER_STATUS_SUCCESS_ID', `configuration_value` = '2', `configuration_group_id` = 25, `sort_order` = 10, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_ORDER_STATUS_TMP_ID', `configuration_value` = '1', `configuration_group_id` = 25, `sort_order` = 9, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PAYPAL_SHOP_LOGO', `configuration_value` = '', `configuration_group_id` = 25, `sort_order` = 13, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PREFER_GZHANDLER', `configuration_value` = 'false', `configuration_group_id` = 14, `sort_order` = 3, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRICE_IS_BRUTTO', `configuration_value` = 'true', `configuration_group_id` = 1, `sort_order` = 42, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRICE_PRECISION', `configuration_value` = '4', `configuration_group_id` = 1, `sort_order` = 43, `use_function` = NULL, `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_BEVEL', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 21, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_DROP_SHADDOW', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 27, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_ELLIPSE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 23, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_FRAME', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 26, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_GREYSCALE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 22, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_HEIGHT', `configuration_value` = '350', `configuration_group_id` = 4, `sort_order` = 10, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_MERGE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 25, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_MOTION_BLUR', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 28, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_ROUND_EDGES', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 24, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_INFO_WIDTH', `configuration_value` = '369', `configuration_group_id` = 4, `sort_order` = 9, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_BEVEL', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 29, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_DROP_SHADDOW', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 35, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_ELLIPSE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 31, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_FRAME', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 34, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_GREYSCALE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 30, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_HEIGHT', `configuration_value` = '600', `configuration_group_id` = 4, `sort_order` = 12, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_MERGE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 33, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_MOTION_BLUR', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 36, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_ROUND_EDGES', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 32, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_POPUP_WIDTH', `configuration_value` = '600', `configuration_group_id` = 4, `sort_order` = 11, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_BEVEL', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 13, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_DROP_SHADDOW', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 19, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_ELLIPSE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 15, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_FRAME', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 18, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_GREYSCALE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 14, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_HEIGHT', `configuration_value` = '130', `configuration_group_id` = 4, `sort_order` = 8, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_MERGE', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 17, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_MOTION_BLUR', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 20, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_ROUND_EDGES', `configuration_value` = '', `configuration_group_id` = 4, `sort_order` = 16, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_IMAGE_THUMBNAIL_WIDTH', `configuration_value` = '150', `configuration_group_id` = 4, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_LIST_FILTER', `configuration_value` = '1', `configuration_group_id` = 1, `sort_order` = 52, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'PRODUCT_REVIEWS_VIEW', `configuration_value` = '5', `configuration_group_id` = 3, `sort_order` = 20, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'QUICKLINK_ACTIVATED', `configuration_value` = 'true', `configuration_group_id` = 17, `sort_order` = 11, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'REVIEW_TEXT_MIN_LENGTH', `configuration_value` = '50', `configuration_group_id` = 2, `sort_order` = 14, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SEARCH_IN_ATTR', `configuration_value` = 'false', `configuration_group_id` = 1, `sort_order` = 50, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SEARCH_IN_DESC', `configuration_value` = 'true', `configuration_group_id` = 1, `sort_order` = 51, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SECURITY_CODE_LENGTH', `configuration_value` = '10', `configuration_group_id` = 17, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SENDMAIL_PATH', `configuration_value` = '/usr/sbin/sendmail', `configuration_group_id` = 12, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SEND_EMAILS', `configuration_value` = 'true', `configuration_group_id` = 12, `sort_order` = 13, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SEND_EMAIL_BY_BILLING_ADRESS', `configuration_value` = 'CUSTOMER_MAIL', `configuration_group_id` = 12, `sort_order` = 40, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''CUSTOMER_MAIL'', ''SHOP_OWNER''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SESSION_CHECK_IP_ADDRESS', `configuration_value` = 'False', `configuration_group_id` = 15, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SESSION_CHECK_SSL_SESSION_ID', `configuration_value` = 'False', `configuration_group_id` = 15, `sort_order` = 3, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SESSION_CHECK_USER_AGENT', `configuration_value` = 'False', `configuration_group_id` = 15, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SESSION_FORCE_COOKIE_USE', `configuration_value` = 'False', `configuration_group_id` = 15, `sort_order` = 2, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SESSION_RECREATE', `configuration_value` = 'False', `configuration_group_id` = 15, `sort_order` = 7, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''True'', ''False''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHIPPING_BOX_PADDING', `configuration_value` = '0', `configuration_group_id` = 7, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHIPPING_BOX_WEIGHT', `configuration_value` = '0', `configuration_group_id` = 7, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHIPPING_INFOS', `configuration_value` = '3889891', `configuration_group_id` = 7, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHIPPING_MAX_WEIGHT', `configuration_value` = '50', `configuration_group_id` = 7, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHIPPING_ORIGIN_COUNTRY', `configuration_value` = '81', `configuration_group_id` = 7, `sort_order` = 1, `use_function` = 'xtc_get_country_name', `set_function` = 'xtc_cfg_pull_down_country_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHIPPING_ORIGIN_ZIP', `configuration_value` = '12345', `configuration_group_id` = 7, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHOW_CART_SHIPPING_COSTS', `configuration_value` = 'true', `configuration_group_id` = 7, `sort_order` = 8, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHOW_CART_SHIPPING_WEIGHT', `configuration_value` = 'true', `configuration_group_id` = 7, `sort_order` = 9, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHOW_COUNTS', `configuration_value` = 'false', `configuration_group_id` = 1, `sort_order` = 32, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHOW_PRODUCTS_MODEL', `configuration_value` = 'false', `configuration_group_id` = 1, `sort_order` = 46, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHOW_SHIPPING', `configuration_value` = 'true', `configuration_group_id` = 7, `sort_order` = 6, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SHOW_UNTRANSLATED_MENUITEMS', `configuration_value` = 'false', `configuration_group_id` = 17, `sort_order` = 13, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_AUTH', `configuration_value` = 'false', `configuration_group_id` = 12, `sort_order` = 8, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_Backup_Server', `configuration_value` = 'localhost', `configuration_group_id` = 12, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_ENCRYPTION', `configuration_value` = 'none', `configuration_group_id` = 12, `sort_order` = 9, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''none'', ''ssl'', ''tls''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_MAIN_SERVER', `configuration_value` = 'localhost', `configuration_group_id` = 12, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_PASSWORD', `configuration_value` = 'Please Enter', `configuration_group_id` = 12, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_PORT', `configuration_value` = '25', `configuration_group_id` = 12, `sort_order` = 5, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SMTP_USERNAME', `configuration_value` = 'Please Enter', `configuration_group_id` = 12, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'SQL_LOG_MAX_FILESIZE', `configuration_value` = '1', `configuration_group_id` = 10, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STOCK_ALLOW_CHECKOUT', `configuration_value` = 'true', `configuration_group_id` = 9, `sort_order` = 5, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STOCK_CHECK', `configuration_value` = 'true', `configuration_group_id` = 9, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STOCK_LIMITED', `configuration_value` = 'true', `configuration_group_id` = 9, `sort_order` = 4, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STOCK_MARK_PRODUCT_OUT_OF_STOCK', `configuration_value` = '***', `configuration_group_id` = 9, `sort_order` = 6, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STOCK_REORDER_LEVEL', `configuration_value` = '5', `configuration_group_id` = 9, `sort_order` = 7, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_COUNTRY', `configuration_value` = '81', `configuration_group_id` = 1, `sort_order` = 10, `use_function` = 'xtc_get_country_name', `set_function` = 'xtc_cfg_pull_down_country_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_DB_TRANSACTIONS', `configuration_value` = 'false', `configuration_group_id` = 10, `sort_order` = 8, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_NAME', `configuration_value` = 'Shopname', `configuration_group_id` = 1, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_NAME_ADDRESS', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 17, `use_function` = NULL, `set_function` = 'xtc_cfg_textarea(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_OWNER', `configuration_value` = 'Shopbetreiber', `configuration_group_id` = 1, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_OWNER_EMAIL_ADDRESS', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 14, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_OWNER_VAT_ID', `configuration_value` = '', `configuration_group_id` = 18, `sort_order` = 3, `last_modified` = '1000-01-01 00:00:00', `date_added` = NOW(), `use_function` = NULL, `set_function` = NULL;
INSERT INTO `configuration` SET `configuration_key` = 'STORE_PAGE_PARSE_TIME', `configuration_value` = 'false', `configuration_group_id` = 10, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_PAGE_PARSE_TIME_LOG', `configuration_value` = '/tmp/', `configuration_group_id` = 10, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_PARSE_DATE_TIME_FORMAT', `configuration_value` = '%d/%m/%Y %H:%M:%S', `configuration_group_id` = 10, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'STORE_ZONE', `configuration_value` = '88', `configuration_group_id` = 1, `sort_order` = 11, `use_function` = 'xtc_cfg_get_zone_name', `set_function` = 'xtc_cfg_pull_down_zone_list(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_FAX', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 13, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_FIRSTNAME', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 4, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_LOCATION', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 9, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_NAME', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 5, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_STREET', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 6, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_STREET_NUMBER', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 7, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_TEL', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 12, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'TRADER_ZIPCODE', `configuration_value` = '', `configuration_group_id` = 1, `sort_order` = 8, `use_function` = '', `set_function` = '', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'UNFOLD_FAVS_BOX', `configuration_value` = 'false', `configuration_group_id` = 1, `sort_order` = 48, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'USE_CACHE', `configuration_value` = 'false', `configuration_group_id` = 11, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'USE_DEFAULT_LANGUAGE_CURRENCY', `configuration_value` = 'false', `configuration_group_id` = 1, `sort_order` = 25, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'USE_WYSIWYG', `configuration_value` = 'true', `configuration_group_id` = 17, `sort_order` = 1, `use_function` = NULL, `set_function` = 'gm_cfg_select_option(array(''true'', ''false''),', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_CANCELED_STATUS_ID', `configuration_value` = '0', `configuration_group_id` = 32, `sort_order` = 8, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_EMAILID', `configuration_value` = '', `configuration_group_id` = 32, `sort_order` = 1, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_EXPERTMODE', `configuration_value` = '0', `configuration_group_id` = 32, `sort_order` = 9, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_MERCHANTID', `configuration_value` = '', `configuration_group_id` = 32, `sort_order` = 3, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_MODULES', `configuration_value` = '', `configuration_group_id` = 32, `sort_order` = 4, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_PENDING_STATUS_ID', `configuration_value` = '0', `configuration_group_id` = 32, `sort_order` = 7, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_PROCESSED_STATUS_ID', `configuration_value` = '0', `configuration_group_id` = 32, `sort_order` = 6, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_PWD', `configuration_value` = '', `configuration_group_id` = 32, `sort_order` = 2, `use_function` = NULL, `set_function` = NULL, `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = '_PAYMENT_SKRILL_TMP_STATUS_ID', `configuration_value` = '0', `configuration_group_id` = 32, `sort_order` = 5, `use_function` = 'xtc_get_order_status_name', `set_function` = 'xtc_cfg_pull_down_order_statuses(', `date_added` = NOW();
INSERT INTO `configuration` SET `configuration_key` = 'EMAIL_MAX_LIMIT', configuration_value = '1000', configuration_group_id = 12, sort_order = 99, `use_function` = '', set_function = '';