<?php
/* --------------------------------------------------------------
	TrustedShopsProductInfoContentView.inc.php 2016-04-14
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class TrustedShopsProductInfoContentView extends TrustedShopsProductInfoContentView_parent
{
	protected function _assignDescription()
	{
		if(gm_get_conf('MODULE_CENTER_TRUSTEDSHOPS_INSTALLED') == true)
		{
			$service = MainFactory::create_object('GMTSService');
			if($service->productreviews_enabled == true)
			{
				$tsid = $service->findRatingID($_SESSION['language_code']);
				$this->product->data['products_description'] .= sprintf("\n[TAB:%s]\n%s\n", $service->get_text('product_reviews_tab_title'), $this->_getReviewSnippet($tsid));
			}
		}
		parent::_assignDescription();
	}

	protected function _getReviewSnippet($tsid)
	{
		$snippet = "<script type=\"text/javascript\">\n" .
		           "  _tsProductReviewsConfig = {\n" .
		           "	tsid: ':tsid',\n" .
		           "	sku: [':products_id'],\n" .
		           "	variant: 'productreviews',\n" .
		           "	borderColor: '#0DBEDC',\n" .
		           "        locale: ':locale',\n" .
		           "        starColor: '#FFDC0F',\n" .
		           "        starSize: '15px',\n" .
		           "        ratingSummary: 'false',\n" .
		           "        maxHeight: '1200px',\n" .
		           "	introtext: 'What our customers say about us:'\n" .
		           "  };\n" .
		           "  var scripts = document.getElementsByTagName('SCRIPT'),\n" .
		           "  me = scripts[scripts.length - 1];\n" .
		           "  var _ts = document.createElement('SCRIPT');\n" .
		           "  _ts.type = 'text/javascript';\n" .
		           "  _ts.async = true;\n" .
		           "  _ts.charset = 'utf-8';\n" .
		           "  _ts.src ='//widgets.trustedshops.com/reviews/tsSticker/tsProductSticker.js';\n" .
		           "  me.parentNode.insertBefore(_ts, me);\n" .
		           "  _tsProductReviewsConfig.script = _ts;\n" .
		           "</script>\n";
		$snippet = strtr($snippet, array(
			':tsid' => $tsid,
			':products_id' => $this->pID,
			':locale' => $this->_getTrustedLocale(),
		));
		return $snippet;
	}

	protected function _getTrustedLocale()
	{
		switch($_SESSION['language_code'])
		{
			case 'en':
				$locale = 'en_GB';
				break;
			case 'es':
				$locale = 'es_ES';
				break;
			case 'fr':
				$locale = 'fr_FR';
				break;
			case 'pl':
				$locale = 'pl_PL';
				break;
			default:
				$locale = 'de_DE';
		}
		return $locale;
	}
}